package com.bonus.canteen.core.device.manage.dto;

import cn.hutool.core.bean.BeanUtil;
import com.bonus.canteen.core.device.manage.model.DeviceRecipe;
import io.swagger.annotations.ApiModelProperty;

public class DeviceRecipeDTO {
   @ApiModelProperty("id主键")
   private Long id;
   @ApiModelProperty("设备id")
   private Long deviceId;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("店铺档口id")
   private Long stallId;
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("餐线id")
   private Long mealLineId;

   public DeviceRecipe convertToEntity() {
      DeviceRecipe entity = new DeviceRecipe();
      BeanUtil.copyProperties(this, entity, new String[0]);
      return entity;
   }

   public Long getId() {
      return this.id;
   }

   public Long getDeviceId() {
      return this.deviceId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Long getMealLineId() {
      return this.mealLineId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDeviceId(final Long deviceId) {
      this.deviceId = deviceId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setMealLineId(final Long mealLineId) {
      this.mealLineId = mealLineId;
   }

}
